## org.eclipse.emf.ecore.xml.type.internal
Class QName

    java.lang.Object
      javax.xml.namespace.QName
          org.eclipse.emf.ecore.xml.type.internal.QName

All Implemented Interfaces:
  java.io.Serializable

    public final class QName

extends javax.xml.namespace.QName

An internal extension of Java's QName that allows the prefix to be updated. If not specified, the prefix is set to empty string (""). If not specified, the namespace uri is set to empty string ("");

NOTE: this class is for internal use only.

See Also:
  Serialized Form

Constructor Summary
`QName(java.lang.String qname)` Constructs a QName.
`QName(java.lang.String namespaceURI, java.lang.String localPart, java.lang.String prefix)` Constructs a QName with the specified values.

Method Summary
`java.lang.String` `getPrefix()`
`void` `setPrefix(java.lang.String prefix)`

Methods inherited from class javax.xml.namespace.QName
`equals, getLocalPart, getNamespaceURI, hashCode, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QName

    public QName(java.lang.String qname)

  Constructs a QName.

  Parameters:
    `qname` - a qualified name Throws Exception if value is not legal qualified name

### QName

    public QName(java.lang.String namespaceURI,
                 java.lang.String localPart,
                 java.lang.String prefix)

  Constructs a QName with the specified values.

Method Detail

### getPrefix

    public java.lang.String getPrefix()

  Overrides:
    `getPrefix` in class `javax.xml.namespace.QName`
  Returns:
    Returns the prefix.

### setPrefix

    public void setPrefix(java.lang.String prefix)

  Parameters:
    `prefix` - The prefix to set.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.